/**
  * 房
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admestatelist: params => { // 楼盘列表接口
    return getRequest('/adm/estate/list', params)
  },
  admestateadd: params => { // 楼盘添加
    return getRequestNoSort('/adm/estate/add', params, 'loading')
  },
  admestateedit: params => { // 楼盘编辑
    return getRequestNoSort('/adm/estate/edit', params, 'loading')
  },
  admestatedetail: params => { // 楼盘详情
    return getRequestNoSort('/adm/estate/detail', params, 'loading')
  },
  admestatedel: params => { // 楼盘删除
    return getRequestNoSort('/adm/estate/del', params, 'loading')
  },
  admestaterecyclelist: params => { // 楼房回收站
    return getRequest('/adm/estate/recycle/list', params)
  },
  admestaterecyclepurge: params => { // 楼房回收站 删除
    return getRequest('/adm/estate/recycle/purge', params)
  },
  admestaterecyclerollback: params => { // 楼房回收站 恢复
    return getRequest('/adm/estate/recycle/rollback', params)
  },
  admestatemoduleid: params => { // 资讯列表
    return getRequestNoSort('/adm/estate/module/id', params, 'loading')
  },
  admestatephotolist: params => { // 楼盘相册接口
    return getRequestNoSort('/adm/estate/photo/list', params, 'loading')
  },
  admestatephotoedit: params => { // 楼盘相册编辑接口
    return getRequestNoSort('/adm/estate/photo/edit', params, 'loading')
  },
  admestatenewslist: params => { // 楼盘动态列表接口
    return getRequest('/adm/estate/news/list', params)
  },
  admestatenewsadd: params => { // 楼盘动态添加接口
    return getRequestNoSort('/adm/estate/news/add', params, 'loading')
  },
  admestatenewsedit: params => { // 楼盘动态编辑接口
    return getRequestNoSort('/adm/estate/news/edit', params, 'loading')
  },
  admestatenewsdel: params => { // 楼盘动态删除接口
    return getRequestNoSort('/adm/estate/news/del', params, 'loading')
  },
  admoldhouselist: params => { // 二手房列表接口
    return getRequest('/adm/oldhouse/list', params)
  },
  admoldhouseadd: params => { // 二手房添加
    return getRequestNoSort('/adm/oldhouse/add', params, 'loading')
  },
  admoldhouseedit: params => { // 二手房编辑
    return getRequestNoSort('/adm/oldhouse/edit', params, 'loading')
  },
  admoldhousedetail: params => { // 二手房详情
    return getRequestNoSort('/adm/oldhouse/detail', params, 'loading')
  },
  admoldhousesortedit: params => { // 二手房 排序
    return getRequestNoSort('/adm/oldhouse/sort/edit', params, 'loading')
  },
  admoldhousedel: params => { // 二手房删除
    return getRequestNoSort('/adm/oldhouse/del', params, 'loading')
  },
  admestatemodulelist: params => { // 模块主题列表接口
    return getRequest('/adm/estate/module/list', params)
  },
  admestatemoduleadd: params => { // 模块主题添加
    return getRequestNoSort('/adm/estate/module/add', params, 'loading')
  },
  admestatemoduleedit: params => { // 模块主题编辑
    return getRequestNoSort('/adm/estate/module/edit', params, 'loading')
  },
  admestatemoduledetail: params => { // 模块主题详情
    return getRequestNoSort('/adm/estate/module/detail', params, 'loading')
  },
  admestatemoduledel: params => { // 模块主题删除
    return getRequestNoSort('/adm/estate/module/del', params, 'loading')
  },
  admestatesortedit: params => { // 楼盘排序接口
    return getRequestNoSort('/adm/estate/sort/edit', params, 'loading')
  },
  adminformationlist: params => { // 洪楼文章列表接口
    return getRequest('/adm/information/list', params)
  },
  adminformationadd: params => { // 洪楼文章添加
    return getRequestNoSort('/adm/information/add', params, 'loading')
  },
  adminformationedit: params => { // 洪楼文章编辑
    return getRequestNoSort('/adm/information/edit', params, 'loading')
  },
  adminformationdetail: params => { // 洪楼文章详情
    return getRequestNoSort('/adm/information/detail', params, 'loading')
  },
  adminformationdel: params => { // 洪楼文章删除
    return getRequestNoSort('/adm/information/del', params, 'loading')
  },
  adminformationcountcache: params => { // 洪楼文章 统计更新
    return getRequestNoSort('/adm/information/count/cache', params, 'loading')
  },
  admlandlist: params => { // 土拍 - 列表接口
    return getRequest('/adm/land/list', params)
  },
  admlandadd: params => { // 土拍 - 添加
    return getRequestNoSort('/adm/land/add', params, 'loading')
  },
  admlandedit: params => { // 土拍 - 编辑
    return getRequestNoSort('/adm/land/edit', params, 'loading')
  },
  admlanddetail: params => { // 土拍 - 详情
    return getRequestNoSort('/adm/land/detail', params, 'loading')
  },
  admlanddel: params => { // 土拍 - 删除
    return getRequestNoSort('/adm/land/del', params, 'loading')
  },
  admpricelist: params => { // 历史成交价 - 列表接口
    return getRequest('/adm/estate/price/list', params)
  },
  admpriceadd: params => { // 历史成交价 - 添加
    return getRequestNoSort('/adm/estate/price/add', params, 'loading')
  },
  admpriceedit: params => { // 历史成交价 - 编辑
    return getRequestNoSort('/adm/estate/price/edit', params, 'loading')
  },
  admpricedetail: params => { // 历史成交价 - 详情
    return getRequestNoSort('/adm/estate/price/detail', params, 'loading')
  },
  admpricedel: params => { // 历史成交价 - 删除
    return getRequestNoSort('/adm/estate/price/del', params, 'loading')
  },
  admestatelotterydetail: params => { // 摇号 - 摇号公示详情
    return getRequestNoSort('/adm/estate/lottery/detail', params, 'loading')
  },
  admestatelotterychange: params => { // 摇号 - 摇号公示变更
    return getRequestNoSort('/adm/estate/lottery/change', params, 'loading')
  },
  admestatelottery2detail: params => { // 摇号期数 - 详情
    return getRequestNoSort('/adm/estate/lottery2/detail', params, 'loading')
  },
  admestatelottery2add: params => { // 摇号期数 - 添加
    return getRequestNoSort('/adm/estate/lottery2/add', params, 'loading')
  },
  admestatelottery2del: params => { // 摇号期数 - 删除
    return getRequestNoSort('/adm/estate/lottery2/del', params, 'loading')
  },
  admestatelottery2edit: params => { // 摇号期数 - 编辑
    return getRequestNoSort('/adm/estate/lottery2/edit', params, 'loading')
  },
  admestatelottery2list: params => { // 摇号期数 -列表
    return getRequest('/adm/estate/lottery2/list', params)
  },
  admestatehousearealist: params => { // 摇号期数 - 楼盘户型图列表
    return getRequest('/adm/estate/house/area/list', params, 'loading')
  },
  admestatelotterypriceedit: params => { // 一房一价 - 编辑
    return getRequestNoSort('/adm/estate/lottery/price/edit', params, 'loading')
  },
  admestatelotterypriceadd: params => { // 一房一价 - 添加
    return getRequestNoSort('/adm/estate/lottery/price/add', params, 'loading')
  },
  admestatelotterypricedel: params => { // 一房一价 - 删除
    return getRequestNoSort('/adm/estate/lottery/price/del', params, 'loading')
  },
  admestatelotterypricelist: params => { // 一房一价 - 列表
    return getRequest('/adm/estate/lottery/price/list', params, 'loading')
  },
  admestatecompetelist: params => { // 竞品列表 - 列表
    return getRequest('/adm/estate/compete/list', params, 'loading')
  },
  admestatecompeteedit: params => { // 竞品列表 - 编辑
    return getRequestNoSort('/adm/estate/compete/edit', params, 'loading')
  },
  admestatecompeteadd: params => { // 竞品列表 - 添加
    return getRequestNoSort('/adm/estate/compete/add', params, 'loading')
  },
  admestatecompetedetail: params => { // 竞品列表 - 详情
    return getRequestNoSort('/adm/estate/compete/detail', params, 'loading')
  },
  admestatecompetedel: params => { // 竞品列表 - 删除
    return getRequestNoSort('/adm/estate/compete/del', params, 'loading')
  },
  admcontactclicklist: params => { // 房源 - 联系点击列表
    return getRequestNoSort('/adm/contact/click/list', params)
  },
  admestatebargainlist: params => { // 特价楼盘 - 列表
    return getRequest('/adm/estate/bargain/list', params)
  },
  admestatebargainedit: params => { // 特价楼盘 - 编辑
    return getRequestNoSort('/adm/estate/bargain/edit', params, 'loading')
  },
  admestatebargainadd: params => { // 特价楼盘 - 添加
    return getRequestNoSort('/adm/estate/bargain/add', params, 'loading')
  },
  admestatebargaindetail: params => { // 特价楼盘 - 详情
    return getRequestNoSort('/adm/estate/bargain/detail', params, 'loading')
  },
  admestatebargaindel: params => { // 特价楼盘 - 删除
    return getRequestNoSort('/adm/estate/bargain/del', params, 'loading')
  },
  admestatebargaindetail: params => { // 特价楼盘 - 详情
    return getRequestNoSort('/adm/estate/bargain/detail', params, 'loading')
  },
}
